Help regarding Blender installation

Use this forum for general user support and related questions.
Post Reply
Robonnet
Posts: 5
Joined: Fri Nov 09, 2018 12:08 pm

Help regarding Blender installation

Post by Robonnet » Fri Nov 09, 2018 12:41 pm

Hi there!
I'm a bit confused over which version I should have installed. OpenCl or without? I'm on Win10/6700K/GTX 1080 running Official Blender 2.79b. When installing LCR 2.0 OpenCl version Blender won't have any of it and throws an error (dll load failed: the specified module could not be found). The non-CL version works just fine but does this mean I miss out on GPU rendering? Also, upgrading LCR through the Blender addons panel to an experimental build seems to not work for me? Sorry for all the noob questions. Any response, in full or in part is greatly appreciated :) Oh, and both the Visual C++ Redistributables are installed btw.



/Rob

User avatar
Sharlybg
Supporting Users
Posts: 815
Joined: Mon Dec 04, 2017 10:11 pm
Location: Ivory Coast

Re: Help regarding Blender installation

Post by Sharlybg » Fri Nov 09, 2018 12:45 pm

Robonnet wrote:
Fri Nov 09, 2018 12:41 pm
Hi there!
I'm a bit confused over which version I should have installed. OpenCl or without? I'm on Win10/6700K/GTX 1080 running Official Blender 2.79b. When installing LCR 2.0 OpenCl version Blender won't have any of it and throws an error (dll load failed: the specified module could not be found). The non-CL version works just fine but does this mean I miss out on GPU rendering? Also, upgrading LCR through the Blender addons panel to an experimental build seems to not work for me? Sorry for all the noob questions. Any response, in full or in part is greatly appreciated :) Oh, and both the Visual C++ Redistributables are installed btw.

/Rob
install this: you are on a 1080 gtx so you can use opencl.


https://github.com/LuxCoreRender/BlendL ... opencl.zip

Also install this :

https://software.intel.com/sites/defaul ... .3.210.zip
Support LuxCoreRender project with salts and bounties

Portfolio : https://www.behance.net/DRAVIA

Robonnet
Posts: 5
Joined: Fri Nov 09, 2018 12:08 pm

Re: Help regarding Blender installation

Post by Robonnet » Fri Nov 09, 2018 1:13 pm

Thanks for the speedy response, Sharlybg. I tried that and Blender throws this error (attachment 1) I think I may have messed up the order in which I uninstalled the previous version of LCR? I missed this part (below) of the installation instruction. Would a re-install of Blender rectify this (if it's indeed the problem)


From the installation instruction section
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
If you have v2.0 installed, you will have to follow the remove steps below, then download the v2.1 release zip package, and follow the install steps on the top of this page.

To remove the addon:
Open Blender's user preferences
Search for LuxCore
Deactivate the addon (don't press remove yet)
Save the user preferences
Restart Blender
Open user preferences, navigate to the addon again
Now press the remove button
It is needed to deactivate the addon before removing it because it contains some libraries (DLLs) which can not be deleted while being loaded on some operating systems (e.g. Windows).
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Attachments
Capture.PNG

User avatar
B.Y.O.B.
Developer
Posts: 1732
Joined: Mon Dec 04, 2017 10:08 pm
Location: Germany
Contact:

Re: Help regarding Blender installation

Post by B.Y.O.B. » Fri Nov 09, 2018 1:50 pm

The latest beta requires the VS 2017 redistributable ("vc_redist.x64.exe"):
https://support.microsoft.com/en-us/hel ... -downloads

(v2.0 required the same for VS 2013, but we switched to 2017 since then)

This is the release announcement post mentioned in the error message:
viewtopic.php?f=9&t=693#p7127
Support LuxCoreRender project with salts and bounties

Robonnet
Posts: 5
Joined: Fri Nov 09, 2018 12:08 pm

Re: Help regarding Blender installation

Post by Robonnet » Fri Nov 09, 2018 2:13 pm

I've installed all the required extas now but still receiving the same error message. I'll try one last hail mary and update the display drivers. If it doesn't work I'll patiently wait for an official 2.8 realease and try it again. I appreciate the assistance guys :)

Regards/Rob

User avatar
B.Y.O.B.
Developer
Posts: 1732
Joined: Mon Dec 04, 2017 10:08 pm
Location: Germany
Contact:

Re: Help regarding Blender installation

Post by B.Y.O.B. » Fri Nov 09, 2018 2:44 pm

Hm yes if the non-opencl version works, it might be your graphics driver.
Does LuxMark run?
Support LuxCoreRender project with salts and bounties

Robonnet
Posts: 5
Joined: Fri Nov 09, 2018 12:08 pm

Re: Help regarding Blender installation

Post by Robonnet » Fri Nov 09, 2018 3:20 pm

Holy kamoley! That did the trick. I was at my wits' end here but now... well... weeee I'm excited! :)

User avatar
B.Y.O.B.
Developer
Posts: 1732
Joined: Mon Dec 04, 2017 10:08 pm
Location: Germany
Contact:

Re: Help regarding Blender installation

Post by B.Y.O.B. » Fri Nov 09, 2018 4:49 pm

Glad it worked.
I have to admit I always find it weird when this works though - how old were these drivers that they were shipped without OpenCL?
Support LuxCoreRender project with salts and bounties

Robonnet
Posts: 5
Joined: Fri Nov 09, 2018 12:08 pm

Re: Help regarding Blender installation

Post by Robonnet » Fri Nov 09, 2018 5:05 pm

hmm... couldn't say exactly. I think last time I did a clean OS install, which would be when UE 4.20 came out. Around May-June?

Post Reply